﻿using System;
using System.Net;
using System.Net.Sockets;

namespace TCPEssentials.Networking
{
	public class IPTools
	{
		public static string InternalIP()
		{
			IPHostEntry Host;
			string LocalIP = "";
			Host = Dns.GetHostEntry(Dns.GetHostName());

			foreach (IPAddress IP in Host.AddressList)
			{
				if (IP.AddressFamily == AddressFamily.InterNetwork)
				{
					LocalIP = IP.ToString();
					break;
				}
			}

			return LocalIP;
		}
	}
}
